import request from '@/utils/request'

// 查询价格信息列表
export function listPrice(query) {
  return request({
    url: '/yfc-admin/drugs/price/list',
    method: 'get',
    params: query
  })
}

// 查询价格信息详细
export function getPrice(id) {
  return request({
    url: '/yfc-admin/drugs/price/' + id,
    method: 'get'
  })
}

// 新增价格信息
export function addPrice(data) {
  return request({
    url: '/yfc-admin/drugs/price',
    method: 'post',
    data: data
  })
}

// 修改价格信息
export function updatePrice(data) {
  return request({
    url: '/yfc-admin/drugs/price',
    method: 'put',
    data: data
  })
}

// 删除价格信息
export function delPrice(id) {
  return request({
    url: '/yfc-admin/drugs/price/' + id,
    method: 'delete'
  })
}

// 导出价格信息
export function exportPrice(query) {
  return request({
    url: '/yfc-admin/drugs/price/export',
    method: 'get',
    params: query
  })
}
